Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.dotnet
Class Ildasm.EncodingTypes

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.optional.dotnet.Ildasm.EncodingTypes

Enclosing class:
  Ildasm

public static class Ildasm.EncodingTypes
extends EnumeratedAttribute

encoding options; the default is ascii

Field Summary
`static java.lang.String` | `ASCII`
`static java.lang.String` | `UNICODE`
`static java.lang.String` | `UTF8`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Ildasm.EncodingTypes()`

Method Summary
`static java.lang.String` | `getEncodingOption(java.lang.String enumValue)` This method maps from an encoding enum to an encoding option.
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNICODE

    public static final java.lang.String UNICODE

See Also:
  Constant Field Values

### UTF8

    public static final java.lang.String UTF8

See Also:
  Constant Field Values

### ASCII

    public static final java.lang.String ASCII

See Also:
  Constant Field Values

Constructor Detail

### Ildasm.EncodingTypes

    public Ildasm.EncodingTypes()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

### getEncodingOption

    public static java.lang.String getEncodingOption(java.lang.String enumValue)

  This method maps from an encoding enum to an encoding option.

  Parameters:
    `enumValue` -
  Returns:
    The encoding option indicated by the enum value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.